## org.codehaus.groovy.runtime.wrappers
Class Wrapper

author:
  John Wilson

Field Summary
`Class` | `constrainedType`
`MetaClass` | `delegatingMetaClass`

Constructor Summary
`Wrapper(Class constrainedType)`

Method Summary
`MetaClass` | `getDelegatedMetaClass()`
`MetaClass` | `getMetaClass()`
`Class` | `getType()`
`Object` | `getWrapped()`
`Object` | `unwrap()`

Constructor Detail

### Wrapper

    public Wrapper(Class constrainedType)

Method Detail

### getDelegatedMetaClass

    MetaClass getDelegatedMetaClass()

### getMetaClass

    public MetaClass getMetaClass()

### getType

    public Class getType()

### getWrapped

    Object getWrapped()

### unwrap

    public Object unwrap()